class CreateHomeSliderSlides < ActiveRecord::Migration
  def change
    create_table :home_slider_slides do |t|
      t.references :home_slider, index: true
      t.integer :position
      t.datetime :start_at
      t.datetime :end_at
      t.references :image_file
      t.boolean :enabled

      t.timestamps null: false
    end
    add_foreign_key :home_slider_slides, :home_sliders
  end
end
